Subject: [Fot] TR4 lifter source

From: [email-masked]
Date: Wed, 31 Dec 2014 16:24:34 +0000 (UTC)

I'm beginning an engine rebuild and Ken G is out of " good" lifters. BPNW has
lifters and claim they test every batch. This from their website.
Any feedback on lifters would be appreciated.
Jim g
B 

These are Heavy Duty Tappets (lifter) for a Triumph TR3, Triumph TR4, Triumph
TR4A. They are lightened and have an extra oil drilled in the side for extra
lubrication. Every batch of tappets are tested when they arrive from the UK.
Each tappet will have a minimum hardness of Rockwell 54. The industry standard
is 50 for tappets. We have never had a bad batch of tappets like other
companies and never will because of our dedication to dealing with only
quality suppliers.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive